# Recipes

For every single request, you will be required to pass an authorization header. That header looks as follows:

Headers: `{“Authorization”: “Bearer <api_key>”}`

How to find common keys and ids:

> **Note:** Please note that the terms "keys" and "ids" tend to be use interchangibly across our docs and systems.


- **Brandfolder id**: to find a Brandfolder key, make a request to


`GET https://brandfolder.com/api/v4/brandfolders`

This will return a list of Brandfolders accessible by the API key in the headers. Parse the returned list of data and
copy the corresponding `id` from the Brandfolder you are looking for.

- **Section key**: to find a section key, first you will need the Brandfolder key of the associated Brandfolder.
Once obtained, make a request to


`GET https://brandfolder.com/api/v4/brandfolders/<brandfolder_key>/sections`.

The response will be a list of sections. Find the one with `data[“attributes”][“name”]` that matches. The key
will live in `data[“id”]`

- **User API key**: This can be found at https://brandfolder.com/profile#integrations